Vulnerability Report: PostgreSQL 9.x

This vulnerability report for PostgreSQL 9.x contains a complete overview of all Secunia advisories affecting it. You can use this vulnerability report to ensure that you are aware of all vulnerabilities, both patched and unpatched, affecting this product allowing you to take the necessary precautions.

If you have information about a new or an existing vulnerability in PostgreSQL 9.x then you are more than welcome to contact us.


Table of Contents

1. Product Summary Only

2. Secunia Advisory Statistics (All time)
2.1. Statistics for 2015
2.2. Statistics for 2014
2.3. Statistics for 2013
2.4. Statistics for 2012
2.5. Statistics for 2011
2.6. Statistics for 2010
2.7. Statistics for 2009
2.8. Statistics for 2008
2.9. Statistics for 2007
2.10. Statistics for 2006
2.11. Statistics for 2005
2.12. Statistics for 2004
2.13. Statistics for 2003

3. List of Secunia Advisories (All time)
3.1. List for 2015
3.2. List for 2014
3.3. List for 2013
3.4. List for 2012
3.5. List for 2011
3.6. List for 2010
3.7. List for 2009
3.8. List for 2008
3.9. List for 2007
3.10. List for 2006
3.11. List for 2005
3.12. List for 2004
3.13. List for 2003

4. Send Feedback
 
Vendor, Links, and Unpatched Vulnerabilities

Vendor Postgresql

Product Link View Here (Link to external site)

Affected By 10 Secunia advisories
37 Vulnerabilities

Monitor Product Receive alerts for this product

Unpatched 0% (0 of 10 Secunia advisories)

Most Critical Unpatched
There are no unpatched Secunia advisories affecting this product, when all vendor patches are applied..




10 Secunia Advisories in 2003-2015

Secunia has issued a total of 10 Secunia advisories in 2003-2015 for PostgreSQL 9.x. Currently, 0% (0 out of 10) are marked as unpatched.

More information about the specific Secunia advisories affecting PostgreSQL 9.x can be found below. Each Secunia advisory is enclosed by a box highlighted with a color representing its current patch status. You can read the complete Secunia advisories for thorough descriptions of the issues covered and for solution suggestions by clicking either the Secunia advisory title or the "Read More" links available for each Secunia advisory.



patched PostgreSQL Multiple Vulnerabilities
Vendor Patch. Secunia Advisory 1 of 1 in 2015. 492 views.
Release Date:
2015-02-06
Secunia Advisory ID:
SA62806
Solution Status:
Vendor Patch
Criticality:
Less critical
Impact:
Unknown
Security Bypass
Manipulation of data
DoS
System access
Where:
From local network
Short Description:
Some vulnerabilities have been reported in PostgreSQL, where some have an unknown impact and others can be exploited by malicious users to bypass certain security restrictions, manipulate certain data, cause a DoS (Denial of Service), and potentially compromise a vulnerable system. [Read More]


patched PostgreSQL OpenSSL TLS/DTLS Heartbeat Information Disclosure Vulnerabilities
Vendor Patch. Secunia Advisory 1 of 2 in 2014. 1,689 views.
Release Date:
2014-04-17
Secunia Advisory ID:
SA57974
Solution Status:
Vendor Patch
Criticality:
Less critical
Impact:
Exposure of sensitive information
Where:
From local network
Short Description:
EnterpriseDB Corporation has acknowledged two vulnerabilities in PostgreSQL, which can be exploited by malicious people to disclose potentially sensitive information. [Read More]


patched PostgreSQL Multiple Vulnerabilities
Vendor Patch. Secunia Advisory 2 of 2 in 2014. 1,648 views.
Release Date:
2014-02-21
Secunia Advisory ID:
SA57054
Solution Status:
Vendor Patch
Criticality:
Less critical
Impact:
Security Bypass
DoS
System access
Where:
From local network
Short Description:
Some vulnerabilities have been reported in PostgreSQL, which can be exploited by malicious users to bypass certain security restrictions, cause a DoS (Denial of Service), and potentially compromise a vulnerable system. [Read More]


patched PostgreSQL Multiple Vulnerabilities
Vendor Patch. Secunia Advisory 1 of 2 in 2013. 3,517 views.
Release Date:
2013-04-04
Secunia Advisory ID:
SA52837
Solution Status:
Vendor Patch
Criticality:
Less critical
Impact:
Brute force
DoS
System access
Security Bypass
Where:
From local network
Short Description:
A weakness and two vulnerabilities have been reported in PostgreSQL, which can be exploited by malicious users to conduct brute force attacks and bypass certain security restrictions and by malicious people to cause a DoS (Denial of Service) or potentially compromise a vulnerable system. [Read More]


patched PostgreSQL "enum_recv()" Denial of Service Vulnerability
Vendor Patch. Secunia Advisory 2 of 2 in 2013. 3,464 views.
Release Date:
2013-02-07
Secunia Advisory ID:
SA51923
Solution Status:
Vendor Patch
Criticality:
Less critical
Impact:
DoS
Where:
From local network
Short Description:
Sumit Soni has discovered a vulnerability in PostgreSQL, which can be exploited by malicious users to cause a DoS (Denial of Service). [Read More]


patched PostgreSQL "xml_parse()" and "xslt_process()" Vulnerabilities
Vendor Patch. Secunia Advisory 1 of 3 in 2012. 3,621 views.
Release Date:
2012-08-17
Secunia Advisory ID:
SA50218
Solution Status:
Vendor Patch
Criticality:
Moderately critical
Impact:
Exposure of sensitive information
System access
Where:
From remote
Short Description:
Two vulnerabilities have been reported in PostgreSQL, which can be exploited by malicious people to disclose certain sensitive information and compromise a user's system. [Read More]


patched PostgreSQL DES Encryption Input Handling Weakness
Vendor Patch. Secunia Advisory 2 of 3 in 2012. 2,014 views.
Release Date:
2012-05-31
Secunia Advisory ID:
SA49345
Solution Status:
Vendor Patch
Criticality:
Not critical
Impact:
Brute force
Where:
From remote
Short Description:
A weakness has been reported in PostgreSQL, which can be exploited by malicious people to conduct brute force attacks. [Read More]


patched PostgreSQL Multiple Vulnerabilities
Vendor Patch. Secunia Advisory 3 of 3 in 2012. 3,031 views.
Release Date:
2012-02-28
Secunia Advisory ID:
SA48107
Solution Status:
Vendor Patch
Criticality:
Less critical
Impact:
Security Bypass
Spoofing
Manipulation of data
Where:
From remote
Short Description:
Multiple vulnerabilities have been reported in PostgreSQL, which can be exploited by malicious users to bypass certain security restrictions and by malicious people to conduct spoofing attacks and manipulate certain data. [Read More]


patched PostgreSQL "intarray" Module "gettoken()" Buffer Overflow Vulnerability
Vendor Patch. Secunia Advisory 1 of 1 in 2011. 4,882 views.
Release Date:
2011-02-01
Secunia Advisory ID:
SA43144
Solution Status:
Vendor Patch
Criticality:
Less critical
Impact:
DoS
System access
Where:
From local network
Short Description:
A vulnerability has been reported in PostgreSQL, which can be exploited by malicious users to compromise a vulnerable system. [Read More]


partial PostgreSQL External Procedural Languages Privilege Escalation
Partial Fix. Secunia Advisory 1 of 1 in 2010. 3,279 views.
Release Date:
2010-10-06
Secunia Advisory ID:
SA41692
Solution Status:
Partial Fix
Criticality:
Less critical
Impact:
Privilege escalation
Where:
From remote
Short Description:
A security issue has been reported in PostgreSQL, which can be exploited by malicious users to perform certain actions with escalated privileges. [Read More]





Discuss this Product
A new thread in our forum is automatically created for each Product. Activate the thread by commenting/discussing below.
Subject: PostgreSQL 9.x 
No posts yet

-

You must be logged in to post a comment.